Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2012-0057

CVE information

Published

10 years ago

Last Modified

5 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

PHP before 5.3.9 has improper libxslt security settings, which allows remote attackers to create arbitrary files via a crafted XSLT stylesheet that uses the libxslt output extension..

CVSSv2.0 Score

Severity
Medium
Base Score
6.4/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
4.9/10
Confidentiality Impact
Partial
Availability Impact
None
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:php:php:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.1.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.3.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.1.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.1.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.14:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.0:beta1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.1.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.16:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.1.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.17:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.0:rc2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.3.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.3.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.0:rc3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.0:beta3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.3.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.1.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.0:rc1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.3.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.0:beta4:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.0.0:beta2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:php:php:5.2.8:*:*:*:*:*:*:*
  Yes
- -